# lailao_bcel_qr

Lailaolab BCEL QR ແມ່ນປລັກອິນສໍາລັບນັກພັດທະນາລາວທີ່ຕ້ອງການເຊື່ອມການຊໍາລະເງິນດ້ວຍ QR Code ຜ່ານທະນາຄານການຄ້າ

## ສິ່ງທີ່ຕ້ອງມີ

merchantID ທີ່ຕ້ອງຂໍອະນຸຍາດກັບທາງທະນາຄານການຄ້າກ່ອນ

## ວິທີຕິດຕັ້ງ

ເຈົ້າຄວນເພີ່ມຄ່າລຸ່ມນີ້ໃສ່ໃນໄຟລ pubspec.yaml :

```yaml
dependencies:
  lailao_bcel_qr: ^0.0.1
```

ຫລືວ່າແລ່ນດ້ວຍຄໍາສັ່ງລຸ່ມນີ້ທີ່ terminal

```text
flutter add lailao_bcel_qr
```

# Getting started

ເພີ່ມ dependency ລຸ່ມນີ້ໃສ່ໄຟລທີ່ຕ້ອງການເອົາໄລຟບລາລີເຮົາໄປໃຊ້

```dart
import 'package:lailao_bcel_qr/lailao_bcel_qr.dart';
```

ຕໍ່ໄປສາມາດສະແດງ ONEPAY QR CODE ໂດຍການນໍາໃຊ້ code ລຸ່ມນີ້:

```dart
LailaoBcelQr(
    mcid: "XXXXXXXXXXX",
    amount: 1,
    invoiceId: 'iv123',
    terminalId: 'ti123',
    transactionId: 'tr123',
)
```

| Property                  | Type                 | Description                                                                                                                                                                                         |
| ------------------------- | -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `mcid`                 | String                  | ລະຫັດຮ້ານຄ້າທີ່ໄດ້ຮັບຈາກຜູ້ຮັບຜິດຊອບທະນາຄານການຄ້າ.                                                                         |
| `amount`    | num                  | ຈໍານວນເງິນທີ່ຕ້ອງການຊໍາລະໃນ ONEPAY QR Code ນັ້ນ.  
| `invoiceId`    | String                  | ເລກ invoiceID ສາມາດກໍານົດເອົາເອງ.                                                                                                                        |
| `terminalId`                 | String           |  ເລກ terminalId ສາມາດກໍານົດເອົາເອງ.    
| `transactionId`                 | String           |  ເລກ transactionId ສາມາດກໍານົດເອົາເອງ.                                                                                                                                     


# ຕົວຢ່າງການນໍາໃຊ້
ສາມາດເບິ່ງຊອສໂຄດໃນໂຟລເດິ example ໄດ້ເລີຍ ແລະ ຍັງສາມາດນໍາໃຊ້ຊອສໂຄດລຸ່ມນີ້ເພື່ອລິເລີ່ມການນໍາໃຊ້ເບື້ອງຕົ້ນໄດ້ອີກດ້ວຍ:

ດຶງເອົາແຕ່ ONEPAY Code String ໂດຍນໍາໃຊ້ຊອສໂຄດລຸ່ມນີ້

```dart
String qrCodeString;
qrCodeString = LailaoBcelQr.bcelQr("XXXXXXXXXXX", "transactionId123","terminalId123", 1, "invoiceId123");
```

ເພື່ອເອົາ QRCODE widget ສໍາເລັດຮູບໄປນໍາໃຊ້ເລີຍແມ່ນໃຊ້ຊອສໂຄດລຸ່ມນີ້
```dart
LailaoBcelQr(
    mcid: "XXXXXXXXXXX",
    amount: 1,
    invoiceId: 'iv123',
    terminalId: 'ti123',
    transactionId: 'tr123',
)
```


## License

lailao_bcel_qr ຖືກພັກທະນາໂດຍ MIT license. ສາມາດກວດສອບເບິ່ງລາຍລະອຽດທີ່ໄຟລ `LICENSE` ໄດ້.