import 'package:flutter/material.dart';
import 'package:qr_flutter/qr_flutter.dart';
import 'onpay_qr.dart';

class LailaoBcelQr extends StatelessWidget {
  final String mcid;
  final String transactionId;
  final String terminalId;
  final num amount;
  final String invoiceId;
  const LailaoBcelQr(
      {Key? key,
      required this.mcid,
      required this.transactionId,
      required this.terminalId,
      required this.amount,
      required this.invoiceId})
      : super(key: key);

  static String bcelQr(
      _mcid, _transactionId, _terminalId, _amount, _invoiceId) {
    OnepayQR _onePayQR = OnepayQR();
    return _onePayQR.generateQR(
        _mcid, _transactionId, _terminalId, _amount, _invoiceId);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: QrImage(
        data: bcelQr(mcid, transactionId, terminalId, amount, invoiceId),
        version: QrVersions.auto,
        size: 200.0,
      ),
    );
  }
}
